Bug 853497 - [BUG] beaker-expire-distros needs locking
[BUG] beaker-expire-distros needs locking
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 14:13 EDT by Bill Peck
Modified: 2012-10-11 19:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 19:50:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-08-31 14:13:52 EDT
Description of problem:

beaker-expire-distros needs to verify its not already running before starting.

Version-Release number of selected component (if applicable):
0.9.3

How reproducible:
Unknown
Comment 1 Dan Callaghan 2012-09-02 20:55:11 EDT
I think this should be the responsibility of whoever is invoking beaker-expire-distros, e.g. the cron job if that's what the site is using.

Doesn't cron already have support for preventing the same job running concurrently?
Comment 2 Dan Callaghan 2012-09-02 21:31:17 EDT
(In reply to comment #1)
> Doesn't cron already have support for preventing the same job running
> concurrently?

It seems not. But we can very easily add some locking to the cron job which we ship.
Comment 3 Dan Callaghan 2012-09-03 01:29:57 EDT
On Gerrit: http://gerrit.beaker-project.org/1315
Comment 5 Dan Callaghan 2012-10-11 19:50:37 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.